var app = getApp();
// var WxParse = require('../../wxParse/wxParse.js');
var $ = require('../../js/util.js');
var QQMapWX = require('../../js/qqmap-wx-jssdk.min.js');
var qqmapsdk;
Page({
  data: {
    is_show:0,
    isshow_cat: 0,
    isshow_chima: 0,
    isshow_dui: 0,
    scrollTop: 0,
  },
  open_show:function(){
    var self = this;
    self.setData({
      is_show: 1,
    })
  },
  hide_mask: function () {
    var self = this;
    self.setData({
      is_show: 0,
      isshow_cat: 0,
      isshow_chima: 0,
      isshow_dui: 0,
    })
  },
  get_cat:function(){
    var self = this;
    self.setData({
      isshow_cat: 1,
    })
    // console.log(self.data.isshow_cat);
  },
  get_chima:function () {
    var self = this;
    self.setData({
      isshow_chima: 1,
    })
  },
  get_dui:function () {
    var self = this;
    self.setData({
      isshow_dui: 1,
    })
  }, 
  onPageScroll: function (e) {
    console.log(e.scrollTop, this.data.scroll_top)
    this.setData({
      'scroll_top': e.scrollTop
    })
  }
})